extends Area2D

const STATES: Array[CompressedTexture2D] = [
	preload("res://assets/textures/survivor_slot.png"),
	preload("res://assets/textures/survivor_slot_highlighted.png"),
]

@onready var sprite: Sprite2D = $Sprite2D

var highlighted: bool = false:
	set(new_value):
		highlighted = new_value
		if new_value:
			sprite.texture = STATES[1]
		else:
			sprite.texture = STATES[0]


func _on_mouse_entered():
	highlighted = true

func _on_mouse_exited():
	highlighted = false
